## org.apache.tools.ant.types.resources
Class First

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper
                  org.apache.tools.ant.types.resources.First

All Implemented Interfaces:
  java.lang.Cloneable, ResourceCollection

    public class First

extends BaseResourceCollectionWrapper

ResourceCollection that contains the first `count` elements of another ResourceCollection.

Since:
  Ant 1.7

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`First()`

Method Summary
`protected java.util.Collection` `getCollection()` Take the first `count` elements.
`int` `getCount()` Get the number of resources to be included.
`void` `setCount(int i)` Set the number of resources to be included.

Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper
`add, dieOnCircularReference, getResourceCollection, isCache, isFilesystemOnly, iterator, setCache, size, toString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, setChecked, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### First

    public First()

Method Detail

### setCount

    public void setCount(int i)

  Set the number of resources to be included.

  Parameters:
    `i` - the count as `int</count>.`

### getCount

    public int getCount()

  Get the number of resources to be included. Default is 1.

  Returns:
    the count as `int</count>.`

### getCollection

    protected java.util.Collection getCollection()

  Take the first `count` elements.

  Specified by:
    `getCollection` in class `BaseResourceCollectionWrapper`
  Returns:
    a Collection of Resources.